﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHierarchicalData1
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<Parent> _data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<Parent>();

            Parent p1 = new Parent() { ParentName = "A", ParentBool = true, ParentAge = 1 };
            Parent p2 = new Parent() { ParentName = "B", ParentBool = false, ParentAge = 2 };
            Parent p3 = new Parent() { ParentName = "C", ParentBool = false, ParentAge = 3 };
            p1.Children = new ObservableCollection<Child>();
            p2.Children = new ObservableCollection<Child>();
            p3.Children = new ObservableCollection<Child>();

            for (int j = 0; j < 3; j++)
            {
                Child child = new Child() { ChildName = "5" + j, ChildBool = false, ChildAge = 1 };
                p1.Children.Add(child);
                p2.Children.Add(child);
                p3.Children.Add(child);
            }

            Data.Add(p1);
            Data.Add(p2);
            Data.Add(p3);
        }

        public ObservableCollection<Parent> Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }
    }
}

